dppsu: xdppsu_serdes.h File Reference

| dppsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xdppsu_serdes.h File Reference

## Overview

This file contains all the functions used by DisplayPort to configure SERDES for link training.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   aad  05/17/14 Initial release.

## Functions
void | XDpPsu_CfgTxVsLevel (XDpPsu *InstancePtr, u8 Level, u8 TxLevel)
| This function sets the voltage swing level value in the DisplayPort TX that will be used during link training for a given voltage swing training level. More...
void | XDpPsu_CfgTxPeLevel (XDpPsu *InstancePtr, u8 Level, u8 TxLevel)
| This function sets the pre-emphasis level value in the DisplayPort TX that will be used during link training for a given pre-emphasis training level. More...
void | XDpPsu_SetVswingPreemp (XDpPsu *InstancePtr, u8 *AuxData)
| This function sets current voltage swing and pre-emphasis level settings from the LinkConfig structure to hardware. More...

## Function Documentation

void XDpPsu_CfgTxPeLevel | ( | XDpPsu * | InstancePtr,
|  | u8 | Level,
|  | u8 | TxLevel
| ) |  |

This function sets the pre-emphasis level value in the DisplayPort TX that will be used during link training for a given pre-emphasis training level.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  Level | is the pre-emphasis training level to set the DisplayPort TX level for.
  TxLevel | is the DisplayPort TX pre-emphasis level value to be used during link training.

Returns
  None.

Note
  There are 32 possible pre-emphasis levels in the DisplayPort TX core that map to 4 possible pre-emphasis training levels in the RX device.

References XDpPsu::BoardChar, and XDpPsu_BoardChar::TxPeLevels.

void XDpPsu_CfgTxVsLevel | ( | XDpPsu * | InstancePtr,
|  | u8 | Level,
|  | u8 | TxLevel
| ) |  |

This function sets the voltage swing level value in the DisplayPort TX that will be used during link training for a given voltage swing training level.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  Level | is the voltage swing training level to set the DisplayPort TX level for.
  TxLevel | is the DisplayPort TX voltage swing level value to be used during link training.

Returns
  None.

Note
  There are 16 possible voltage swing levels in the DisplayPort TX core that map to 4 possible voltage swing training levels in the RX device.

References XDpPsu::BoardChar, and XDpPsu_BoardChar::TxVsLevels.

void XDpPsu_SetVswingPreemp | ( | XDpPsu * | InstancePtr,
|  | u8 * | AuxData
| ) |  |

This function sets current voltage swing and pre-emphasis level settings from the LinkConfig structure to hardware.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  AuxData | is a pointer to the array used for preparing a burst write over the AUX channel.

Returns
  - XST_SUCCESS if writing the settings was successful.
  - XST_FAILURE otherwise.

Note
  None.

References XDpPsu::LinkConfig, XDpPsu_LinkConfig::PeLevel, and XDpPsu_LinkConfig::VsLevel.